----------------------------
-- Localized Addon Namespace
----------------------------
local private = select(2, ...)
local addon = LibStub("AceAddon-3.0"):GetAddon(private.addonName)

---- Trade Skill Show
-- Fired by the client when a player opens any tradeskill
-- window. This includes the guild tradeskills and any 
-- other players tradeskill linked in chat.
function addon:TRADE_SKILL_SHOW()
  -- exit early if this is a trade skill link
  if IsTradeSkillLinked() then
    return
  end
  
  -- Register for the close event
  addon:RegisterEvent("TRADE_SKILL_CLOSE")
  
  local tradeskillName, curLevel, maxLevel = GetTradeSkillLine()
  
  -- Parse the trade skill information and update the database
  for i = 1, GetNumTradeSkills() do
    name, type, _, _, _, ups = GetTradeSkillInfo(i)
    if name and type ~= "header" then
     -- store this in the right database table
    end
  end
end

---- Trade Skill Close
-- Fired by the client when a player closes any tradeskill
-- window. This includes the guild tradeskills and any 
-- other players tradeskill linked in chat.
function addon:TRADE_SKILL_CLOSE()
  -- Remove registration for the close and update events
  addon:UnregisterEvent("TRADE_SKILL_CLOSE")
end